var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};

// src/index.ts
import _set from "just-safe-set";
var DEFAULT_OPTIONS = {
  prefix: "VITECONFIG_",
  separator: "_"
};
function parseValue(val) {
  if (val === "undefined" || val === void 0) {
    return void 0;
  }
  try {
    return JSON.parse(val);
  } catch (e) {
    return `${val}`;
  }
}
function env2config(options) {
  const { prefix, separator } = options;
  return Object.keys(process.env).filter((key) => key.startsWith(prefix)).map((key) => {
    const path = key.substring(prefix.length).split(separator).join(".");
    const val = parseValue(process.env[key]);
    return { path, val };
  }).reduce((acc, { path, val }) => {
    _set(acc, path, val);
    return acc;
  }, {});
}
function envConfig(inlineOptions) {
  const options = __spreadValues(__spreadValues({}, DEFAULT_OPTIONS), inlineOptions);
  return {
    name: "vite-plugin-env-config",
    config() {
      const config = env2config(options);
      return config;
    }
  };
}
export {
  envConfig
};
//# sourceMappingURL=index.js.map